Bug 1311800

Summary: RHEV-H can't find kernel on UEFI machine and fails to boot
Product: Red Hat Enterprise Virtualization Manager Reporter: wanghui <huiwa>
Component: ovirt-nodeAssignee: Douglas Schilling Landgraf <dougsland>
Status: CLOSED ERRATA QA Contact: wanghui <huiwa>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 3.6.0CC: cshao, fdeutsch, gklein, huiwa, huzhao, leiwang, lsurette, weiwang, yaniwang, ycui, ykaul
Target Milestone: ovirt-3.6.3Keywords: Regression
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rhev-hypervisor7-7.2-20160225.0 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-03-09 14:44:29 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Node RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description wanghui 2016-02-25 02:48:42 UTC
Description of problem:
It report error like follows when install rhevh from UEFI machine.

error: file '/isolinux/vmlinuz0' not found
error: you need to load the kernel first.

Press any key to continue...

Version-Release number of selected component (if applicable):
rhev-hypervisor7-7.2-20160224.0.iso
ovirt-node-3.6.1-7.0.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. Boot UEFI machine from CD-ROM
2. Select "Install or Upgrade (Basic Video) RHEV-H-7.2-20160222.0.el7ev)
3. Press "Enter" to install

Actual results:
1. Reports error like follows.
error: file '/isolinux/vmlinuz0' not found
error: you need to load the kernel first.

Press any key to continue...

Expected results:
1. It should start to install rhevh in UEFI mode.

Additional info:
This issue is a regression from rhev-hypervisor7-7.2-20160126.0.

Comment 2 Fabian Deutsch 2016-02-25 07:01:22 UTC
Hui, I see "Install or Upgrade (Basic Video) RHEV-H-7.2-20160222.0.el7ev)" (note the 222.0) and you used rhev-hypervisor7-7.2-20160224.0.iso (note the 224).

Can you please confirm that you really saw this issue with with 224?

Comment 3 wanghui 2016-02-25 07:03:27 UTC
(In reply to Fabian Deutsch from comment #2)
> Hui, I see "Install or Upgrade (Basic Video) RHEV-H-7.2-20160222.0.el7ev)"
> (note the 222.0) and you used rhev-hypervisor7-7.2-20160224.0.iso (note the
> 224).
> 
> Can you please confirm that you really saw this issue with with 224?

Yes. This issue also in 224.

Comment 7 wanghui 2016-03-02 03:15:04 UTC
According to comment#5, this issue already fixed in rhev-hypervisor7-7.2-20160225.0.

Comment 9 errata-xmlrpc 2016-03-09 14:44:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0378.html